PASTE(1)

NAME
paste - merge lines of files

SYNOPSIS
paste [OPTION]... [FILE]...

DESCRIPTION

Write lines consisting of the sequentially corresponding lines from each FILE, separated by TABs, to standard output. The newline of every line except the line from the last file is replaced with a TAB.

With no FILE, or when FILE is -, read standard input.

Mandatory arguments to long options are mandatory for short options too.

-d, --delimiters=LIST
    reuse characters from LIST instead of TABs; backslash escapes are supported

-s, --serial
    paste one file at a time instead of in parallel; the newline of every line except the last line in each file is replaced with a TAB

-z, --zero-terminated
    line delimiter is NUL, not newline

--help
    display this help and exit

--version
    output version information and exit

AUTHOR
Written by David M. Ihnat and David MacKenzie.

REPORTING BUGS
Report bugs to: bug-coreutils@gnu.org
GNU coreutils home page: <https://www.gnu.org/software/coreutils/>
General help using GNU software: <https://www.gnu.org/gethelp/>
Report any translation bugs to <https://translationproject.org/team/>

COPYRIGHT
Copyright © 2026 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
Full documentation <https://www.gnu.org/software/coreutils/paste>
or available locally via: info '(coreutils) paste invocation'